## hubzero-tigervnc 1.8.0.2-1+deb9

=== Makefile ===
# @package      hubzero-tigervnc
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2+2+
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

MAKEFILE_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
STAGE_DIR := $(CURDIR)/stage
BUILD_DIR := $(CURDIR)/build

all: libjpeg-turbo-1.3.0 fltk-1.3.2 tigervnc-1.3.1

libjpeg-turbo-1.3.0:
	mkdir -p $(BUILD_DIR)/libjpeg-turbo-1.3.0
	cp -r $(MAKEFILE_DIR)/libjpeg-turbo-1.3.0/. $(BUILD_DIR)/libjpeg-turbo-1.3.0
	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.3.0
	(cd $(BUILD_DIR)/libjpeg-turbo-1.3.0; ./configure --prefix=/usr --with-pic --enable-shared=no )
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.3.0
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.3.0 install DESTDIR=$(STAGE_DIR)

libjpeg-turbo-1.5.3:
	mkdir -p $(BUILD_DIR)/libjpeg-turbo-1.5.3
	cp -r $(MAKEFILE_DIR)/libjpeg-turbo-1.5.3/. $(BUILD_DIR)/libjpeg-turbo-1.5.3
	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.5.3
	(cd $(BUILD_DIR)/libjpeg-turbo-1.5.3; ./configure --prefix=/usr --with-pic --enable-shared=no )
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.5.3
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.5.3 install DESTDIR=$(STAGE_DIR)

fltk-1.3.4-2:
	mkdir -p $(BUILD_DIR)/fltk-1.3.4-2
	cp -r $(MAKEFILE_DIR)/fltk-1.3.4-2/. $(BUILD_DIR)/fltk-1.3.4-2
	chmod -R u+w $(BUILD_DIR)/fltk-1.3.4-2
	(cd $(BUILD_DIR)/fltk-1.3.4-2; ./configure --prefix=/usr --enable-shared=yes )
	$(MAKE) -C $(BUILD_DIR)/fltk-1.3.4-2
	$(MAKE) -C $(BUILD_DIR)/fltk-1.3.4-2 install DESTDIR=$(STAGE_DIR)

fltk-1.3.2:
	mkdir -p $(BUILD_DIR)/fltk-1.3.2
	cp -r $(MAKEFILE_DIR)/fltk-1.3.2/. $(BUILD_DIR)/fltk-1.3.2
	chmod -R u+w $(BUILD_DIR)/fltk-1.3.2
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v4.3.x-keyboard-x11.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v4.3.x-keyboard-win32.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v6.3.x-keyboard-osx.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1.3.x-clipboard.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v5.3.x-clipboard-x11.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v3.3.x-clipboard-win32-fix.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v2.3.x-clipboard-win32.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v2.3.x-clipboard-osx.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/pixmap_v2.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v5.3.x-cursor.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v2.3.0-modal.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v3.3.0-icons.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1.3.x-screen_num.patch
	patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/fltk-1.3.2 -p1 < $(MAKEFILE_DIR)/patches/fltk-1.3.2/fltk-1_v3.3.x-multihead.patch
	(cd $(BUILD_DIR)/fltk-1.3.2; ./configure --prefix=/usr --enable-shared=yes )
	$(MAKE) -C $(BUILD_DIR)/fltk-1.3.2
	$(MAKE) -C $(BUILD_DIR)/fltk-1.3.2 install DESTDIR=$(STAGE_DIR)

#         --with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
#        --enable-dri \
#        --enable-dga \
#        --enable-xf86vidmode \

tigervnc-1.3.1:
	mkdir -p $(BUILD_DIR)/tigervnc-1.3.1
	cp -r $(MAKEFILE_DIR)/tigervnc-1.3.1/. $(BUILD_DIR)/tigervnc-1.3.1 
	chmod -R u+w $(BUILD_DIR)/tigervnc-1.3.1
	cp -r $(MAKEFILE_DIR)/xorg-server-1.7.7/. $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver 
	chmod -R u+w $(BUILD_DIR)/tigervnc-1.3.1
	for f in $(MAKEFILE_DIR)/patches/xorg-server-1.7.7/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver -p1 < $$f; done
	patch -d $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver -p1 < $(MAKEFILE_DIR)/tigervnc-1.3.1/unix/xserver17.patch 
	patch -d $(BUILD_DIR)/tigervnc-1.3.1 -p1 < $(MAKEFILE_DIR)/patches/tigervnc-1.3.1/tigervnc-1.3.1-hubzero.patch 
	( cd $(BUILD_DIR)/tigervnc-1.3.1 ; cmake -G "Unix Makefiles" -DBUILD_JAVA=1 -DJPEG_INCLUDE_DIR=$(STAGE_DIR)/usr/include -DJPEG_LIBRARY=$(STAGE_DIR)/usr/lib/libturbojpeg.a -DFLTK_FLUID_EXECUTABLE=$(STAGE_DIR)/usr/bin/fluid -DFLTK_INCLUDE_DIR=$(STAGE_DIR)/usr/include $(BUILD_DIR)/tigervnc-1.3.1 )
	$(MAKE) -C $(BUILD_DIR)/tigervnc-1.3.1
	( cd $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver ;  autoreconf -fiv )
	( cd $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver ; ./configure \
		 --prefix=/usr \
		 --localstatedir=/var \
	         --build=x86_64-linux-gnu \
	         --disable-static \
	         --without-dtrace \
	         --disable-werror \
	         --disable-debug \
	         --disable-unit-tests \
	         --with-int10=x86emu \
	         --with-os-vendor="Debian" \
	         --with-xkb-path=/usr/share/X11/xkb \
	         --with-xkb-output=/var/lib/xkb \
	         --with-default-xkb-rules=evdev \
	         --disable-builddocs \
	         --disable-install-libxf86config \
	         --disable-null-root-cursor \
	         --enable-mitshm \
	         --enable-xres \
	         --disable-xcsecurity \
	         --disable-xcalibrate \
	         --disable-tslib \
	         --disable-multibuffer \
	         --enable-dbe \
	         --disable-xf86bigfont \
	         --enable-dpms \
	         --enable-config-udev \
	         --disable-config-hal \
	         --disable-xorg \
	         --disable-xquartz \
	         --disable-xwin \
	         --disable-xsdl \
	         --disable-xfake \
	         --disable-install-setuid \
	         --with-default-font-path="/usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins" \
	         --enable-aiglx \
	         --enable-glx-tls \
	         --enable-registry \
	         --enable-composite \
	         --enable-record \
	         --enable-xv \
	         --enable-xvmc \
	         --disable-dga \
	         --enable-screensaver \
	         --enable-xdmcp \
	         --enable-xdm-auth-1 \
	         --enable-glx \
	         --disable-dri \
	         --enable-dri2 \
	         --enable-xinerama \
	         --disable-xf86vidmode \
	         --enable-xace \
 	         --enable-xselinux \
		 --enable-xfree86-utils \
	         --disable-dmx \
	         --disable-xvfb \
	         --disable-xnest \
	         --enable-kdrive \
	         --disable-xephyr \
	         --disable-xfbdev \
	         --with-sha1=libgcrypt \
	         --enable-xcsecurity )
	$(MAKE) -C $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver 
	$(MAKE) -C $(BUILD_DIR)/tigervnc-1.3.1/unix/xserver install DESTDIR=$(STAGE_DIR)

#         --with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
#        --enable-dri \
#        --enable-dga \
#        --enable-xf86vidmode \

tigervnc-1.8.0:
	mkdir -p $(BUILD_DIR)/tigervnc-1.8.0
	cp -r $(MAKEFILE_DIR)/tigervnc-1.8.0/. $(BUILD_DIR)/tigervnc-1.8.0
	chmod -R u+w $(BUILD_DIR)/tigervnc-1.8.0
	cp -r $(MAKEFILE_DIR)/xorg-server-1.19.2/. $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver 
	chmod -R u+w $(BUILD_DIR)/tigervnc-1.8.0
	for f in $(MAKEFILE_DIR)/patches/xorg-server-1.19.2/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver -p1 < $$f; done
	patch -d $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver -p1 < $(MAKEFILE_DIR)/tigervnc-1.8.0/unix/xserver119.patch 
	#patch -d $(BUILD_DIR)/tigervnc-1.8.0 -p1 < $(MAKEFILE_DIR)/patches/tigervnc-1.3.1/tigervnc-1.8.0-hubzero.patch 
	( cd $(BUILD_DIR)/tigervnc-1.8.0 ; cmake -G "Unix Makefiles" -DBUILD_JAVA=1 -DJPEG_INCLUDE_DIR=$(STAGE_DIR)/usr/include -DJPEG_LIBRARY=$(STAGE_DIR)/usr/lib/libturbojpeg.a -DFLTK_FLUID_EXECUTABLE=$(STAGE_DIR)/usr/bin/fluid -DFLTK_INCLUDE_DIR=$(STAGE_DIR)/usr/include $(BUILD_DIR)/tigervnc-1.8.0 )
	$(MAKE) -C $(BUILD_DIR)/tigervnc-1.8.0
	( cd $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver ;  autoreconf -fiv )
	( cd $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver ; ./configure \
		 --prefix=/usr \
		 --localstatedir=/var \
	         --build=x86_64-linux-gnu \
	         --disable-static \
	         --without-dtrace \
	         --disable-strict-compilation \
	         --disable-debug \
	         --disable-unit-tests \
	         --with-int10=x86emu \
	         --with-os-vendor="Debian" \
	         --with-xkb-path=/usr/share/X11/xkb \
	         --with-xkb-output=/var/lib/xkb \
	         --with-default-xkb-rules=evdev \
	         --disable-builddocs \
	         --disable-install-libxf86config \
	         --disable-null-root-cursor \
	         --enable-mitshm \
	         --enable-xres \
	         --disable-xcsecurity \
	         --disable-xcalibrate \
	         --disable-tslib \
	         --disable-multibuffer \
	         --enable-dbe \
	         --disable-xf86bigfont \
	         --enable-dpms \
	         --enable-config-udev \
	         --disable-config-hal \
	         --disable-xorg \
	         --disable-xquartz \
	         --disable-xwin \
	         --disable-xsdl \
	         --disable-xfake \
	         --disable-install-setuid \
	         --with-default-font-path="/usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins" \
	         --enable-aiglx \
	         --enable-glx-tls \
	         --enable-registry \
	         --enable-composite \
	         --enable-record \
	         --enable-xv \
	         --enable-xvmc \
	         --disable-dga \
	         --enable-screensaver \
	         --enable-xdmcp \
	         --enable-xdm-auth-1 \
	         --enable-glx \
	         --disable-dri \
	         --enable-dri2 \
	         --enable-xinerama \
	         --disable-xf86vidmode \
	         --enable-xace \
 	         --enable-xselinux \
		 --enable-xfree86-utils \
	         --disable-dmx \
	         --disable-xvfb \
	         --disable-xnest \
	         --enable-kdrive \
	         --disable-xephyr \
	         --disable-xfbdev \
	         --with-sha1=libgcrypt \
	         --enable-xcsecurity )
	$(MAKE) -C $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver 
	$(MAKE) -C $(BUILD_DIR)/tigervnc-1.8.0/unix/xserver install DESTDIR=$(STAGE_DIR)

install:
	# These are in xserver-common
	# install -d $(DESTDIR)/usr/share/man/man1
	# install -m 644 $(STAGE_DIR)/usr/share/man/man1/Xserver.1 $(DESTDIR)/usr/share/man/man1/Xserver.1
	# install -d $(DESTDIR)/usr/lib/xorg
	# install -m 644 $(STAGE_DIR)/usr/lib/xorg/protocol.txt $(DESTDIR)/usr/lib/xorg/protocol.txt

=== debian/changelog ===
hubzero-tigervnc (1.8.0.2-1+deb9) unstable; urgency=low

  * convert inline changes for tigervnc-1.8.0 to patch set

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 15:26:21 -0400

hubzero-tigervnc (1.8.0.1-1) unstable; urgency=low

  * add debian 9 support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 30 May 2018 15:49:07 -0400

hubzero-tigervnc (1.8.0-1) unstable; urgency=low

  * add debian 9 support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 24 May 2018 15:49:07 -0400

hubzero-tigervnc (1.3.1.4-1) unstable; urgency=low

  * change HUBzero license to more appropriate GPL

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 18:53:21 -0400

hubzero-tigervnc (1.3.1.3-1) unstable; urgency=low

  * add debian 8 support

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 15 May 2015 15:38:15 -0400

hubzero-tigervnc (1.3.1.2-2+deb8) unstable; urgency=low

  * add xkb-data to depends

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 23 Sep 2014 15:56:04 -0400

hubzero-tigervnc (1.3.1.2-1) unstable; urgency=low

  * normalizing packaging to template

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 22 Sep 2014 15:17:25 -0400

hubzero-tigervnc (1.3.1.1-1+deb6u1) unstable; urgency=low

  * New upstream tigervnc (1.3.1)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 25 Jul 2014 16:11:16 -0400

hubzero-tigervnc (1.3.0-1+deb6u1) unstable; urgency=low

  * Packaging for Debian 6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 30 May 2014 11:24:16 -0400

hubzero-tigervnc (1.3.0-1) unstable; urgency=low

  * First HUBzero TigerVNC release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 20 May 2014 18:53:28 -0400

=== debian/control ===
Source: hubzero-tigervnc
Section: x11
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Standards-Version: 3.8.4
Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick    ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev
Homepage: http://hubzero.org

Package: hubzero-tigervnc-server
Architecture: amd64 i386
Provides: xserver, vnc-server
Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data
Recommends: xfonts-base, x11-xserver-utils, libgl1-mesa-dri
Conflicts: tigervncserver
Suggests: hubzero-tigervnc-viewer, hubzero-tigervnc-java, hubzero-tigervnc-server-module, xfonts-100dpi, xfonts-75dpi, xfonts-scalable
Description: HUBzero TigerVNC server - virtual network computing server software
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.
 .
 This version has been modified with enhancements for use by The HUBzero(R)
 Platform for Scientific Collaboration

Package: hubzero-tigervnc-viewer
Architecture: amd64 i386
Provides: vncviewer, vnc-viewer
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xfonts-base
Conflicts: xtigervncviewer
Description: HUBzero TigerVNC viewer - virtual network computing client software
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.

Package: hubzero-tigervnc-java
Architecture: all
Provides: vncviewer, vnc-viewer
Depends:  default-jre
Conflicts: tigervnc-java
Description: HUBzero TigerVNC Java viewer - virtual network computing client software
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.

Package: hubzero-tigervnc-server-module
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends} 
Description: HUBzero TigerVNC X Server module - virtual network computing server software
 Virtual Network Computing (VNC) is a remote display system which allows you to
 view and interact with a virtual desktop environment that is running on another
 computer on the network.  Using VNC, you can run graphical applications on a
 remote machine and send only the display from these applications to your local
 machine.  VNC is platform-independent and supports a wide variety of operating
 systems and architectures as both servers and clients.
 .
 TigerVNC is a high-speed version of VNC based on the RealVNC 4 and X.org code
 bases.  TigerVNC started as a next-generation development effort for TightVNC
 on Unix and Linux platforms, but it split from its parent project in early 2009
 so that TightVNC could focus on Windows platforms.  TigerVNC supports a variant
 of Tight encoding that is greatly accelerated by the use of the libjpeg-turbo
 JPEG codec.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-tigervnc
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2+
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This package is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

STAMP_DIR := stampdir
STAGE_DIR := $(CURDIR)/debian/stage
BUILD_DIR := $(CURDIR)/debian/build

ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
vars := $(shell DEB_BUILD_MAINT_OPTIONS="hardening=+pie" DEB_LDFLAGS_MAINT_APPEND="-Wl,-Bsymbolic" DEB_CPPFLAGS_MAINT_APPEND="-DPRE_RELEASE=0" dpkg-buildflags --export=configure)

# Hardening flags.
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie
export DEB_LDFLAGS_MAINT_APPEND="-Wl,-Bsymbolic"

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Duplicate flags as CMake is ignoring CPPFLAGS.
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

else

#CFLAGS = -Wall -g  -funsigned-char
CFLAGS = -Wall -g 
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CPPFLAGS = -DPRE_RELEASE=0
vars = CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)"

endif

#ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
#	MAKEFLAGS += -j$(NUMJOBS)
#endif

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

DEB_CODENAME       ?= $(shell lsb_release -c -s)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += \
		--build=$(DEB_HOST_GNU_TYPE)
else
	confflags += \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE)
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
	confflags += --enable-xselinux 

	ifeq ($(DEB_CODENAME), squeeze)
		confflags += \
			--with-default-xkb-rules=evdev
	endif
else
	confflags += \
		--disable-xselinux
endif

ifeq ($(DEB_HOST_ARCH_OS), hurd)
	confflags += \
		--disable-dri \
		--disable-dri2
else
	confflags += \
		--disable-dri \
		--enable-dri2
endif

ifeq ($(DEB_HOST_ARCH_OS), linux)
else ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	libs = LIBS=-lbsd
else # hurd
endif


ifeq ($(DEB_CODENAME), squeeze)

confflags += \
	--disable-builddocs \
	--disable-config-dbus \
	--enable-xcalibrate

xorg_version=1.7.7
tigervnc_patch=17
tigervnc_version=1.3.1

else ifeq ($(DEB_CODENAME), wheezy)

confflags += \
	--disable-silent-rules \
	--disable-docs \
  	--disable-selective-werror \
	--disable-config-dbus \
        --disable-devel-docs 

xorg_version=1.12.4
tigervnc_patch=112
tigervnc_version=1.3.1

else ifeq ($(DEB_CODENAME), jessie)

confflags += \
	--disable-silent-rules \
	--disable-docs \
  	--disable-selective-werror \
        --disable-devel-docs 

xorg_version=1.16.4
tigervnc_patch=116
tigervnc_version=1.3.1

else ifeq ($(DEB_CODENAME), stretch)

confflags += \
	--disable-silent-rules \
	--disable-docs \
  	--disable-selective-werror \
        --disable-devel-docs 

xorg_version=1.19.2
tigervnc_patch=119
tigervnc_version=1.8.0

else

echo "Unknown distribution"
exit 1

endif

VENDOR         := $(shell lsb_release -i -s)
SOURCE_NAME    := hubzero-tigervnc-server
SOURCE_VERSION := $(shell dpkg-parsechangelog | awk -F': ' '/^Version: / {print $$2}')
BUILDER        := $(shell dpkg-parsechangelog | awk -F': ' '/^Maintainer: / {print $$2}')

confflags += \
	--with-pic \
	--without-dtrace \
	--disable-static \
	--disable-debug \
	--disable-unit-tests \
	--with-int10=x86emu \
	--with-os-vendor="$(VENDOR)" \
	--with-builderstring="$(SOURCE_NAME) $(SOURCE_VERSION) ($(BUILDER))" \
	--with-xkb-path=/usr/share/X11/xkb \
	--with-xkb-output=/var/lib/xkb \
	--disable-install-libxf86config \
	--enable-mitshm \
	--enable-xres \
	--enable-xcsecurity \
	--disable-tslib \
	--enable-dbe \
	--disable-xf86bigfont \
	--enable-dpms \
	--disable-config-hal \
	--disable-config-udev \
	--disable-xorg \
	--disable-xquartz \
	--disable-xwin \
	--disable-xfake \
	--disable-install-setuid \
	--with-default-font-path="/usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,built-ins" \
	--enable-aiglx \
	--enable-glx-tls \
	--enable-registry \
	--enable-composite \
	--enable-record \
	--enable-xv \
	--enable-xvmc \
	--enable-dga \
	--enable-screensaver \
	--enable-xdmcp \
	--enable-xdm-auth-1 \
	--enable-glx \
	--enable-xinerama \
	--enable-xf86vidmode \
	--enable-xace \
	--enable-xfree86-utils \
	--disable-dmx \
	--disable-xvfb  \
	--disable-xnest \
	--disable-kdrive \
	--disable-xephyr \
	--enable-xfbdev \
	--with-sha1=libgcrypt \
	$(libs) \
	$(void)

$(STAMP_DIR)/stampdir:
	@echo "########## $(STAMP_DIR)/stampdir ##########"
	mkdir -p $(STAMP_DIR)
	>$@

$(STAMP_DIR)/configure-indep: $(STAMP_DIR)/tigervnc-$(tigervnc_version)-common
	@echo "########## $(STAMP_DIR)/configure-indep ##########"
	(cd $(BUILD_DIR)/tigervnc-$(tigervnc_version)/java; cmake -DCMAKE_INSTALL_PREFIX=/usr -G"Unix Makefiles")
	>$@

build-indep: $(STAMP_DIR)/build-indep
	@echo "########## build-indep  ##########"

$(STAMP_DIR)/build-indep: $(STAMP_DIR)/configure-indep
	@echo "########## $(STAMP_DIR)/build-indep  ##########"
	(cd $(BUILD_DIR)/tigervnc-$(tigervnc_version)/java; $(MAKE))
	>$@

$(STAMP_DIR)/libjpeg-turbo-1.3.1: $(STAMP_DIR)/stampdir
	@echo "########## $(STAMP_DIR)/libjpeg-turbo-1.3.1 ##########"
	dh_testdir
	if [ -d $(BUILD_DIR)/libjpeg-turbo-1.3.1 ]; then rm -fr $(BUILD_DIR)/libjpeg-turbo-1.3.1; fi
	mkdir -p $(BUILD_DIR)/libjpeg-turbo-1.3.1
	cp -r $(CURDIR)/libjpeg-turbo-1.3.1/. $(BUILD_DIR)/libjpeg-turbo-1.3.1
	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.3.1
	for f in $(CURDIR)/patches/libjpeg-turbo-1.3.1/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/libjpeg-turbo-1.3.1 -p1 < $$f; done
	(cd $(BUILD_DIR)/libjpeg-turbo-1.3.1; ./configure --prefix=/usr --with-pic --enable-shared=no )
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.3.1
	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.3.1 install DESTDIR=$(STAGE_DIR)
	>$@

$(STAMP_DIR)/libjpeg-turbo-1.5.3: $(STAMP_DIR)/stampdir
	@echo "########## $(STAMP_DIR)/libjpeg-turbo-1.5.3 ##########"
	dh_testdir
	if [ -d $(BUILD_DIR)/libjpeg-turbo-1.5.3 ]; then rm -fr $(BUILD_DIR)/libjpeg-turbo-1.5.3; fi
	mkdir -p $(BUILD_DIR)/libjpeg-turbo-1.5.3
	cp -r $(CURDIR)/libjpeg-turbo-1.5.3/. $(BUILD_DIR)/libjpeg-turbo-1.5.3
	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.5.3
	for f in $(CURDIR)/patches/libjpeg-turbo-1.5.3/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/libjpeg-turbo-1.5.3 -p1 < $$f; done
	(cd $(BUILD_DIR)/libjpeg-turbo-1.5.3; ./configure --prefix=/usr --with-pic --enable-shared=no )

## hubzero-tigervnc 1.8.0.3-1+deb8

=== debian/changelog ===
hubzero-tigervnc (1.8.0.3-1+deb8) unstable; urgency=low

  * add debian 9 support
  * add tigervnc-1.8.0
  * add libjpeg-turbo-1.5.3
  * add fltk-1.3.4-2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 15:26:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
 Standards-Version: 3.8.4
-Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick    ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev
+Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick   ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev 
 Homepage: http://hubzero.org
 
 Package: hubzero-tigervnc-server
 Architecture: amd64 i386
 Provides: xserver, vnc-server
-Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data, x11-xkb-utils
 Recommends: xfonts-base, x11-xserver-utils, libgl1-mesa-dri
 Conflicts: tigervncserver
 Suggests: hubzero-tigervnc-viewer, hubzero-tigervnc-java, hubzero-tigervnc-server-module, xfonts-100dpi, xfonts-75dpi, xfonts-scalable

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,6 @@
 
 else
 
-#CFLAGS = -Wall -g  -funsigned-char
 CFLAGS = -Wall -g 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -153,7 +152,7 @@
 
 xorg_version=1.16.4
 tigervnc_patch=116
-tigervnc_version=1.3.1
+tigervnc_version=1.8.0
 
 else ifeq ($(DEB_CODENAME), stretch)
 
@@ -272,3 +271,4 @@
 	chmod -R u+w $(BUILD_DIR)/libjpeg-turbo-1.5.3
 	for f in $(CURDIR)/patches/libjpeg-turbo-1.5.3/* ; do patch --no-backup-if-mismatch -N -d $(BUILD_DIR)/libjpeg-turbo-1.5.3 -p1 < $$f; done
 	(cd $(BUILD_DIR)/libjpeg-turbo-1.5.3; ./configure --prefix=/usr --with-pic --enable-shared=no )
+	$(MAKE) -C $(BUILD_DIR)/libjpeg-turbo-1.5.3

## hubzero-tigervnc 1.8.0.3-1+deb9

=== debian/changelog ===
hubzero-tigervnc (1.8.0.3-1+deb9) unstable; urgency=low

  * add debian 9 support
  * add tigervnc-1.8.0
  * add libjpeg-turbo-1.5.3
  * add fltk-1.3.4-2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 15:26:21 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
 Standards-Version: 3.8.4
-Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick   ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev 
+Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick    ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev
 Homepage: http://hubzero.org
 
 Package: hubzero-tigervnc-server

=== debian/rules ===
--- 
+++ 
@@ -152,7 +152,7 @@
 
 xorg_version=1.16.4
 tigervnc_patch=116
-tigervnc_version=1.8.0
+tigervnc_version=1.3.1
 
 else ifeq ($(DEB_CODENAME), stretch)

## hubzero-tigervnc 1.8.0.4-1+deb9

=== debian/changelog ===
hubzero-tigervnc (1.8.0.4-1+deb9) unstable; urgency=low

  * fix name of defaults file
  * add lsb-base dependency

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 12 May 2020 09:48:33 -0700

hubzero-tigervnc (1.8.0.3-1) unstable; urgency=low

  * add debian 9 support
  * add tigervnc-1.8.0
  * add libjpeg-turbo-1.5.3
  * add fltk-1.3.4-2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 31 May 2018 15:26:21 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: hubzero-tigervnc-server
 Architecture: amd64 i386
 Provides: xserver, vnc-server
-Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data, x11-xkb-utils
+Depends: ${shlibs:Depends}, ${misc:Depends}, xauth, x11-common (>= 1:7.5) | xserver-common (>= 2:1.7.7), x11-utils, xkb-data, x11-xkb-utils, lsb-base
 Recommends: xfonts-base, x11-xserver-utils, libgl1-mesa-dri
 Conflicts: tigervncserver
 Suggests: hubzero-tigervnc-viewer, hubzero-tigervnc-java, hubzero-tigervnc-server-module, xfonts-100dpi, xfonts-75dpi, xfonts-scalable

## hubzero-tigervnc 1.8.0.6-1+deb9

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-tigervnc
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2+2+
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This package is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +18,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 MAKEFILE_DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))

=== debian/changelog ===
hubzero-tigervnc (1.8.0.6-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 21:46:15 -0700

hubzero-tigervnc (1.8.0.5-1) unstable; urgency=low

  * add lsb-base dependency

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 12 May 2020 14:27:12 -0700

hubzero-tigervnc (1.8.0.4-1) unstable; urgency=low

  * fix name of defaults file

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 12 May 2020 09:48:33 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-tigervnc
 Section: x11
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Standards-Version: 3.8.4
 Build-Depends: autoconf, automake, bison, bzip2, cmake (>> 2.8), curl, debhelper (>> 7.1), default-jdk, docbook-utils, dpkg-dev, flex, gettext, gnutls-dev, libaudit-dev [linux-any], libbsd-dev [kfreebsd-any], libdbus-1-dev [kfreebsd-amd64 kfreebsd-i386], libdrm-dev [!hurd-i386], libexpat1-dev, libfontconfig1-dev, libhal-dev [kfreebsd-amd64 kfreebsd-i386], libgcrypt-dev, libgl1-mesa-dev, libgl1-mesa-dri, libgl1-mesa-glx, libosmesa6-dev, libpam0g-dev, libpciaccess-dev, libpixman-1-dev, libpng-dev, libselinux1-dev [linux-any], libssl-dev, libtool, libudev-dev [linux-any], libx11-dev, libxau-dev, libxaw7-dev (>> 4.1.0), libxdmcp-dev, libxext-dev, libxfixes-dev, libxfont-dev, libxinerama-dev, libxkbfile-dev, libxft-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxpm-dev, libxrender-dev, libxres-dev, libxt-dev, libxtst-dev, libxv-dev, lsb-release, mesa-common-dev (>= 7.5), nasm, nettle-dev, perl-modules, pkg-config, pristine-tar, quilt, x11proto-bigreqs-dev, x11proto-composite-dev, x11proto-core-dev, x11proto-damage-dev, x11proto-dri2-dev, x11proto-fixes-dev, x11proto-fonts-dev, x11proto-gl-dev, x11proto-input-dev, x11proto-kb-dev, x11proto-randr-dev, x11proto-record-dev, x11proto-render-dev, x11proto-resource-dev, x11proto-scrnsaver-dev, x11proto-video-dev, x11proto-xcmisc-dev, x11proto-xext-dev, x11proto-xf86bigfont-dev, x11proto-xf86dga-dev, x11proto-xf86dri-dev, x11proto-xf86vidmode-dev, x11proto-xinerama-dev, xfonts-base, xfonts-utils, xtrans-dev, xutils-dev, zlib1g-dev, imagemagick    ,doxygen,fop,xmlto,xsltproc,x11proto-dri3-dev,x11proto-present-dev
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-tigervnc
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://www.gnu.org/licenses/gpl-2.0.html GPLv2+
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # This package is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -21,7 +20,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program. If not, see <http://www.gnu.org/licenses/>
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.
@@ -152,7 +151,7 @@
 
 xorg_version=1.16.4
 tigervnc_patch=116
-tigervnc_version=1.3.1
+tigervnc_version=1.8.0
 
 else ifeq ($(DEB_CODENAME), stretch)
